Package org.kapott.hbci.datatypes.factory

## Class SyntaxDEFactory

- java.lang.Object
- - org.kapott.hbci.datatypes.factory.SyntaxDEFactory

    public class SyntaxDEFactory
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SyntaxDE` `createSyntaxDE​(java.lang.String dataType, java.lang.String path, java.lang.StringBuffer res, int minsize, int maxsize)`
`SyntaxDE` `createSyntaxDE​(java.lang.String dataType, java.lang.String path, java.lang.String value, int minsize, int maxsize)`
`static SyntaxDEFactory` `getInstance()`
`java.lang.String` `toString()`
`void` `unuseObject​(SyntaxDE sde, java.lang.String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static SyntaxDEFactory getInstance()

#### createSyntaxDE

    public SyntaxDE createSyntaxDE​(java.lang.String dataType,
                                   java.lang.String path,
                                   java.lang.String value,
                                   int minsize,
                                   int maxsize)

#### createSyntaxDE

    public SyntaxDE createSyntaxDE​(java.lang.String dataType,
                                   java.lang.String path,
                                   java.lang.StringBuffer res,
                                   int minsize,
                                   int maxsize)

#### unuseObject

    public void unuseObject​(SyntaxDE sde,
                            java.lang.String type)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`